DKBSignDocs

API reference

PUTRequires Bearer token

Update contact

/api/contacts/{contact_id}

Update `/api/contacts/{contact_id}`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

FieldTypeDescription
contact_id
Required
stringPath parameter `contact_id`.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
first_name
stringFirst name.
e.g. "Ada"
last_name
stringLast name.
e.g. "Kouassi"
email
stringEmail.
e.g. "ada@acme.test"
phone
stringPhone (international).
e.g. "+2250700000001"
company
stringOrganisation name.
e.g. "ACME"
visibility
string`private` or `org`.
e.g. "private"

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X PUT 'https://api.dkbsigns.com/api/contacts/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"first_name":"Ada","last_name":"Kouassi","email":"ada@acme.test","phone":"+2250700000001","company":"ACME","visibility":"private"}'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}